<?php

/**
 * @Project NUKEVIET 4.x
 * @Author VINADES.,JSC <contact@vinades.vn>
 * @Copyright (C) 2014 VINADES.,JSC. All rights reserved
 * @License GNU/GPL version 2 or any later version
 * @Createdate 24-06-2011 10:35
 */

if (!defined('NV_IS_FILE_ADMIN')) {
    die('Stop!!!');
}
$page_title = $lang_module['list'];

$base_url = NV_BASE_ADMINURL . 'index.php?' . NV_LANG_VARIABLE . '=' . NV_LANG_DATA . '&amp;' . NV_NAME_VARIABLE . '=' . $module_name . '&amp;' . NV_OP_VARIABLE . '=' . $op;
$array_search = array(
    'q' => $nv_Request->get_title('q', 'get', ''),
    'from' => $nv_Request->get_title('from', 'get', ''),
    'to' => $nv_Request->get_title('to', 'get', ''),
    'status' => $nv_Request->get_int('status', 'get', -1),
    'id' => $nv_Request->get_int('id', 'get', 0),
);

$where = '';
if(!empty($array_search['q'])){
    $base_url .= '&q=' . $array_search['q'];
    $where .= ' AND (code LIKE "%' . $array_search['q'] . '%"
        OR fullname LIKE "%' . $array_search['q'] . '%"
        OR email LIKE "%' . $array_search['q'] . '%"
        OR phone LIKE "%' . $array_search['q'] . '%"  
    )';
}

if (! empty($array_search['from']) and preg_match('/^([0-9]{1,2})\/([0-9]{1,2})\/([0-9]{4})$/', $array_search['from'], $m)) {
    $base_url .= '&from=' . $array_search['from'];
    $where .= ' AND add_time >= ' . mktime(0, 0, 0, $m[2], $m[1], $m[3]);
}

if (! empty($array_search['to']) and preg_match('/^([0-9]{1,2})\/([0-9]{1,2})\/([0-9]{4})$/', $array_search['to'], $m)) {
    $base_url .= '&to=' . $array_search['to'];
    $where .= ' AND add_time <= ' . mktime(23, 59, 59, $m[2], $m[1], $m[3]);
}

if($array_search['status'] >= 0){
    $base_url .= '&status=' . $array_search['status'];
    $where .= ' AND status=' . $array_search['status'];
}

$per_page = 15;
$page = $nv_Request->get_int('page', 'post,get', 1);
$db->sqlreset()
    ->select('COUNT(*)')
    ->from('' . NV_PREFIXLANG . '_' . $module_data)
    ->where('1=1' . $where);

$sth = $db->prepare($db->sql());
$sth->execute();
$num_items = $sth->fetchColumn();

$db->select('*')
    ->order('id DESC')
    ->limit($per_page)
    ->offset(($page - 1) * $per_page);
$sth = $db->prepare($db->sql());
$sth->execute();

$array_status = array(
    $lang_module['not_contacted'],
    $lang_module['contacted']
);

$xtpl = new XTemplate($op .'.tpl', NV_ROOTDIR . '/themes/' . $global_config['module_theme'] . '/modules/' . $module_file);
$xtpl->assign('LANG', $lang_module);
$xtpl->assign('GLANG', $lang_global);
$xtpl->assign('MODULE_NAME', $module_name);
$xtpl->assign('SEARCH', $array_search);
$xtpl->assign('OP', $op);

$generate_page = nv_generate_page($base_url, $num_items, $per_page, $page);
if (! empty($generate_page)) {
    $xtpl->assign('NV_GENERATE_PAGE', $generate_page);
    $xtpl->parse('main.generate_page');
}

while ($row = $sth->fetch()) {
    $row['link_view'] = NV_BASE_ADMINURL . 'index.php?' . NV_LANG_VARIABLE . '=' . NV_LANG_DATA . '&amp;' . NV_NAME_VARIABLE . '=' . $module_name . '&amp;' . NV_OP_VARIABLE . '=view&amp;id=' . $row['id'];
    $row['add_time'] = nv_date('H:i d/m/y', $row['add_time']);
    $row['ck_status'] = $row['status'] == 1 ? 'checked' : '';
    $xtpl->assign('ROW', $row);

    foreach ($array_status as $key => $val) {
        $xtpl->assign('STATUS', array(
            'key' => $key,
            'val' => $val,
            'selected' => ($key == $row['status']) ? ' selected="selected"' : ''
        ));

        $xtpl->parse('main.row.status');
    }

    $xtpl->parse('main.row');
}

$array_status_search = array(
    '0' => $lang_module['not_contacted'],
    '1' => $lang_module['contacted']
);
foreach($array_status_search as $index => $value){
    $sl = $array_search['status'] == $index ? 'selected="selected"' : '';
    $xtpl->assign('STATUS', array('index' => $index, 'value' => $value, 'selected' => $sl));
    $xtpl->parse('main.status');
}

$xtpl->parse('main');
$contents = $xtpl->text('main');

include NV_ROOTDIR . '/includes/header.php';
echo nv_admin_theme($contents);
include NV_ROOTDIR . '/includes/footer.php';