<?php
/**
 * @Project NUKEVIET 4.x
 * @Author VINADES.,JSC (contact@vinades.vn)
 * @Copyright (C) 2014 VINADES.,JSC. All rights reserved
 * @License GNU/GPL version 2 or any later version
 * @Createdate 2-9-2010 14:43
 */
if (! defined('NV_IS_FILE_ADMIN'))
    die('Stop!!!');

$id = $nv_Request->get_int('id', 'post,get', 0);
$tablename = $db_config['prefix'] . '_' . NV_LANG_DATA . '_' . $module_data;

$quote_list = $db->query('SELECT * FROM ' . $tablename . ' WHERE id=' . $id)->fetch();

if(empty($quote_list)){
    Header('Location: ' . NV_BASE_ADMINURL . 'index.php?' . NV_LANG_VARIABLE . '=' . NV_LANG_DATA . '&' . NV_NAME_VARIABLE . '=' . $module_name . '&' . NV_OP_VARIABLE . '=main');
    die();
}

if ($nv_Request->isset_request('download', 'get')) {
    $fileid = $nv_Request->get_int('fileid', 'get', 0);
    $quote_list['files'] = explode(',', $quote_list['files']);

    if (!isset($quote_list['files'][$fileid])) {
        nv_redirect_location(NV_BASE_ADMINURL . 'index.php?' . NV_LANG_VARIABLE . '=' . NV_LANG_DATA . '&' . NV_NAME_VARIABLE . '=' . $module_name, true);
    }

    if (!file_exists(NV_UPLOADS_REAL_DIR . '/' . $module_upload . '/' . $quote_list['files'][$fileid])) {
        nv_redirect_location(NV_BASE_ADMINURL . 'index.php?' . NV_LANG_VARIABLE . '=' . NV_LANG_DATA . '&' . NV_NAME_VARIABLE . '=' . $module_name, true);
    }

    $file_info = pathinfo(NV_UPLOADS_REAL_DIR . '/' . $module_upload . '/' . $quote_list['files'][$fileid]);

    $download = new NukeViet\Files\Download(NV_UPLOADS_REAL_DIR . '/' . $module_upload . '/' . $quote_list['files'][$fileid], $file_info['dirname'], $file_info['basename'], true);
    $download->download_file();
    exit();
}

if ($nv_Request->isset_request('pdf', 'get')) {
    $fileid = $nv_Request->get_int('fileid', 'get', 0);
    $quote_list['files'] = explode(',', $quote_list['files']);

    if (!isset($quote_list['files'][$fileid])) {
        nv_info_die($lang_global['error_404_title'], $lang_global['error_404_title'], $lang_global['error_404_content'], 404);
    }

    if (!file_exists(NV_UPLOADS_REAL_DIR . '/' . $module_upload . '/' . $quote_list['files'][$fileid])) {
        nv_info_die($lang_global['error_404_title'], $lang_global['error_404_title'], $lang_global['error_404_content'], 404);
    }

    $file_url = NV_BASE_ADMINURL . 'index.php?' . NV_LANG_VARIABLE . '=' . NV_LANG_DATA . '&' . NV_NAME_VARIABLE . '=' . $module_name . '&' . NV_OP_VARIABLE . '=view&download=1&id=' . $id . '&fileid=' . $fileid;
    $contents = nv_theme_viewpdf($file_url);
    nv_htmlOutput($contents);
}

if(!empty($quote_list['catid'])){    
    $quote_list['catid'] = $array_categories[$quote_list['catid']]['title'];
}

$quote_list['time'] = nv_date('H:i d/m/y', $quote_list['add_time']);

if (!empty($quote_list['files'])) {
    $files = explode(',', $quote_list['files']);
    $quote_list['files'] = array();
    foreach ($files as $file_id => $file) {
        $file_title = (!preg_match("/^http*/", $file)) ? basename($file) : $lang_module['click_to_download'];
        $quote_list['files'][] = array(
            'title' => $file_title,
            'key' => md5($file_id . $file_title),
            'ext' => nv_getextension($file_title),
            'titledown' => $lang_module['download'] . ' ' . (count($files) > 1 ? $file_id + 1 : ''),
            'src' => NV_BASE_SITEURL . NV_UPLOADS_DIR . '/' . $module_upload . '/' . $file,
            'url' => (!preg_match("/^http*/", $file)) ? NV_BASE_ADMINURL . 'index.php?' . NV_LANG_VARIABLE . '=' . NV_LANG_DATA . '&' . NV_NAME_VARIABLE . '=' . $module_name . '&' . NV_OP_VARIABLE . '=download&id=' . $quote_list['id'] . '&index=' . $file_id : $file,
            'urlpdf' => $client_info['selfurl'] . '&amp;pdf=1&amp;fileid=' . $file_id,
            'urldoc' => (preg_match("/^http*/", $file)) ? $file : 'https://docs.google.com/viewer?embedded=true&url=' . NV_MY_DOMAIN . '/' . NV_UPLOADS_DIR . '/' . $module_upload . '/' . $file
        );
    }
}

$xtpl = new XTemplate($op . '.tpl', NV_ROOTDIR . '/themes/' . $global_config['module_theme'] . '/modules/' . $module_file);
$xtpl->assign('LANG', $lang_module);
$xtpl->assign('DATA', $quote_list);

if (!empty($quote_list['files'])) {
    foreach ($quote_list['files'] as $file) {
        $xtpl->assign('FILES', $file);
        if ($file['ext'] == 'pdf') {
            $xtpl->parse('main.files.loop.show_quick_viewpdf');
            $xtpl->parse('main.files.loop.content_quick_viewpdf');
        } elseif (preg_match('/^png|jpe|jpeg|jpg|gif|bmp|ico|tiff|tif|svg|svgz$/', $file['ext'])) {
            $xtpl->parse('main.files.loop.show_quick_viewimg');
            $xtpl->parse('main.files.loop.content_quick_viewimg');
        } elseif (preg_match('/^doc|docx|xls|xlsx|odt$/', $file['ext'])) {
            $xtpl->parse('main.files.loop.show_quick_viewpdf');
            $xtpl->parse('main.files.loop.content_quick_viewdoc');
        } else {
            $xtpl->parse('main.files.loop.show_download');
        }
        $xtpl->parse('main.files.loop');
    }
    $xtpl->parse('main.files');
}

$xtpl->parse('main');
$contents = $xtpl->text('main');

$page_title = sprintf($lang_module['views'], $quote_list['id']);
$set_active_op = 'view';

include NV_ROOTDIR . '/includes/header.php';
echo nv_admin_theme($contents);
include NV_ROOTDIR . '/includes/footer.php';