<?php

/**
 * @Project NUKEVIET 4.x
 * @Author BCB SOLUTIONS (contact@bcbsolution.vn)
 * @Copyright (C) 2019 BCB SOLUTIONS. All rights reserved
 * @License: Not free read more http://nukeviet.vn/vi/store/modules/nvtools/
 * @Createdate Mon, 16 Sep 2019 01:59:00 GMT
 */

if (! defined('NV_MAINFILE'))
    die('Stop!!!');

if (! nv_function_exists('nv_function_form')) {
    function nv_block_config_form($module, $data_block, $lang_block)
    {   
        global $nv_Cache;
        $html = '';

        return $html;
    }

    function nv_block_config_form_submit($module, $lang_block)
    {
        global $nv_Request;
        $return = array();
        $return['error'] = array();
        $return['config'] = array();
        return $return;
    }

    function nv_function_form($block_config)
    {
        global $nv_Cache, $lang_global, $global_config, $module_info, $lang_module, $module_name, $db_config, $array_categories;

        $module = $block_config['module'];

        if (file_exists(NV_ROOTDIR . '/themes/' . $global_config['module_theme'] . '/modules/' . $module . '/global.form.tpl')) {
            $block_theme = $global_config['module_theme'];
        } else {
            $block_theme = 'default';
        }

        if (file_exists(NV_ROOTDIR . '/themes/' . $block_theme . '/language/' . NV_LANG_INTERFACE . '.php')) {
            include NV_ROOTDIR . '/themes/' . $block_theme . '/language/' . NV_LANG_INTERFACE . '.php';
        }


        if ($module != $module_name) {
            $sql = 'SELECT catid, parentid, lev, ' . NV_LANG_DATA . '_title AS title, ' . NV_LANG_DATA . '_alias AS alias, viewcat, numsubcat, subcatid, numlinks, ' . NV_LANG_DATA . '_description AS description, inhome, ' . NV_LANG_DATA . '_keywords AS keywords, groups_view, typeprice FROM ' . $db_config['prefix'] . '_shops_catalogs ORDER BY sort ASC';
            $list = $nv_Cache->db($sql, 'catid', $module);
            foreach ($list as $row) {
                $array_categories[$row['catid']] = array(
                    'catid' => $row['catid'],
                    'parentid' => $row['parentid'],
                    'title' => $row['title'],
                    'alias' => $row['alias'],
                    'link' => NV_BASE_SITEURL . 'index.php?' . NV_LANG_VARIABLE . '=' . NV_LANG_DATA . '&amp;' . NV_NAME_VARIABLE . '=' . $module . '&amp;' . NV_OP_VARIABLE . '=' . $row['alias'],
                    'viewcat' => $row['viewcat'],
                    'numsubcat' => $row['numsubcat'],
                    'subcatid' => $row['subcatid'],
                    'numlinks' => $row['numlinks'],
                    'description' => $row['description'],
                    'inhome' => $row['inhome'],
                    'keywords' => $row['keywords'],
                    'groups_view' => $row['groups_view'],
                    'lev' => $row['lev'],
                    'typeprice' => $row['typeprice']
                );
            }
            unset($list, $row);
        }

        $xtpl = new XTemplate('global.form.tpl', NV_ROOTDIR . '/themes/' . $global_config['module_theme'] . '/modules/' . $module);

        $xtpl->assign('LANG', $lang_block);
        $xtpl->assign('NV_BASE_SITEURL', NV_BASE_SITEURL);
        $xtpl->assign('MODULE', $block_config['module']);
        $xtpl->assign('TEMPLATE', $block_theme);

        if ($global_config['captcha_type'] == 2) {
            $xtpl->assign('RECAPTCHA_ELEMENT', 'recaptcha' . nv_genpass(8));
            $xtpl->assign('N_CAPTCHA', $lang_global['securitycode1']);
            $xtpl->parse('main.recaptcha');
        } else {
            $xtpl->assign('GFX_WIDTH', NV_GFX_WIDTH);
            $xtpl->assign('GFX_HEIGHT', NV_GFX_HEIGHT);
            $xtpl->assign('NV_BASE_SITEURL', NV_BASE_SITEURL);
            $xtpl->assign('CAPTCHA_REFRESH', $lang_global['captcharefresh']);
            $xtpl->assign('NV_GFX_NUM', NV_GFX_NUM);
            $xtpl->parse('main.captcha');
        }

        if (! empty($array_categories)) {
            foreach ($array_categories as $catid => $value) {
                $value['selected'] = $catid == $catid['catid'] ? ' selected="selected"' : '';
                $xtpl->assign('CAT', $value);
                $xtpl->parse('main.categories.loop');
            }
            $xtpl->parse('main.categories');
        }

        $xtpl->parse('main');
        return $xtpl->text('main');

    }

}

if (defined('NV_SYSTEM')) {
    global $site_mods, $module_name, $lang_module;
    $module = $block_config['module'];
    $content = nv_function_form($block_config);
}