<?php

/**
 * @Project NUKEVIET 4.x
 * @Author VINADES <contact@vinades.vn>
 * @Copyright (C) 2014 VINADES. All rights reserved
 * @License GNU/GPL version 2 or any later version
 * @Createdate Apr 20, 2010 10:47:41 AM
 */

if (!defined('NV_IS_MOD_QUOTE')) {
    die('Stop!!!');
}
 
$array_config = $module_config[$module_name];
$page_title = $lang_module['add'];

$table_name = $db_config['prefix'] . '_' . NV_LANG_DATA . '_' . $module_data;

$quote_list = array(
    'fullname' => '',
    'email' => '',
    'phone' => '',
    'catid' => 0,
    'request_content' =>'',
    'files' => array(),
    'files_old' => array()
);

$error = array();

$base_url = NV_BASE_SITEURL . 'index.php?' . NV_LANG_VARIABLE . '=' . NV_LANG_DATA . '&amp;' . NV_NAME_VARIABLE . '=' . $module_name;

if($nv_Request->isset_request('submit', 'post')){
    $quote_list['fullname'] = $nv_Request->get_title('fullname', 'post', '');
    $quote_list['email'] = $nv_Request->get_title('email', 'post', '');
    $quote_list['phone'] = $nv_Request->get_title('phone', 'post', '');
    $quote_list['catid'] = $nv_Request->get_int('catid', 'post', '', true);
    $quote_list['request_content'] = $nv_Request->get_textarea('request_content', '', NV_ALLOWED_HTML_TAGS);
    $quote_list['files'] = $nv_Request->get_array('files', 'post');

    $mod = $nv_Request->get_title('mod', 'post', '' );

    if (!nv_capcha_txt(($global_config['captcha_type'] == 2 ? $nv_Request->get_title('g-recaptcha-response', 'post', '') : $nv_Request->get_title('fcode', 'post', '')))) {
        nv_jsonOutput([
            'status' => 'error',
            'input' => ($global_config['captcha_type'] == 2 ? '' : 'fcode'),
            'mess' => ($global_config['captcha_type'] == 2 ? $lang_global['securitycodeincorrect1'] : $lang_global['securitycodeincorrect'])
        ]);
    }

    if(empty($quote_list['fullname'])){
        $error[] = $lang_module['error_empty_fullname'];
    }

    if(empty($quote_list['phone'])){
        $error[] = $lang_module['error_empty_phone'];
    }

    if (isset($_FILES['upload_fileupload'])) {
        $array_files = normalizeFiles($_FILES['upload_fileupload']);
        foreach ($array_files as $file) {
            if (!empty($file['name'])) {
                $upload = new NukeViet\Files\Upload($global_config['file_allowed_ext'], $global_config['forbid_extensions'], $global_config['forbid_mimes'], NV_UPLOAD_MAX_FILESIZE, NV_MAX_WIDTH, NV_MAX_HEIGHT);
                $upload_info = $upload->save_file($file, NV_ROOTDIR . '/' . NV_UPLOADS_DIR . '/' . $module_upload, false);
                @unlink($file['tmp_name']);
                if (empty($upload_info['error'])) {
                    mt_srand((double) microtime() * 1000000);
                    $maxran = 1000000;
                    $random_num = mt_rand(0, $maxran);
                    $random_num = md5($random_num);
                    $nv_pathinfo_filename = nv_pathinfo_filename($upload_info['name']);
                    $new_name = NV_ROOTDIR . '/' . NV_UPLOADS_DIR . '/' . $module_upload . '/' . $nv_pathinfo_filename . '.' . $random_num . '.' . $upload_info['ext'];
                    $rename = nv_renamefile($upload_info['name'], $new_name);
                    if ($rename[0] == 1) {
                        $fileupload = $new_name;
                    } else {
                        $fileupload = $upload_info['name'];
                    }
                    @chmod($fileupload, 0644);
                    $quote_list['files'][] = str_replace(NV_ROOTDIR . '/' . NV_UPLOADS_DIR . '/' . $module_upload . '/', '', $fileupload);
                } else {
                    nv_jsonOutput([
                        'error' => 1,
                        'msg' => $upload_info['error'],
                        'input' => 'listfile'
                    ]);
                }
                unset($upload, $upload_info);
            }
        }
    }

    if(empty($error)){

        $_weight = $db->query('SELECT count(*) FROM ' . $table_name)->fetchColumn();
        $_weight = intval($_weight) + 1;
        $files = !empty($quote_list['files']) ? implode(',', $quote_list['files']) : '';

        $_sql = 'INSERT INTO ' . $db_config['prefix'] . '_' . NV_LANG_DATA . '_' . $module_data . '(fullname, email, phone, catid, request_content, files, add_time) VALUES (:fullname, :email, :phone, :catid, :request_content, :files, ' . NV_CURRENTTIME .')';

        $data_insert = array();

        $data_insert['fullname'] = $quote_list['fullname'];
        $data_insert['email'] = $quote_list['email'];
        $data_insert['phone'] = $quote_list['phone'];
        $data_insert['catid'] = $quote_list['catid'];
        $data_insert['request_content'] = $quote_list['request_content'];
        $data_insert['files'] = $files;

        $new_id = $db->insert_id($_sql, 'id', $data_insert);

        if($new_id > 0){

            $booking_code = vsprintf($array_config['format_code'], $_weight);
            $stmt = $db->prepare('UPDATE ' . $table_name . ' SET code= :code WHERE id=' . $new_id);
            $stmt->bindParam(':code', $booking_code, PDO::PARAM_STR);
            $stmt->execute();

            if ($quote_list['files'] != $quote_list['files_old']) {
                foreach ($quote_list['files_old'] as $path) {
                    if (!in_array($path, $quote_list['files'])) {
                        if (file_exists(NV_ROOTDIR . '/' . NV_UPLOADS_DIR . '/' . $module_upload . '/' . $path)) {
                            nv_deletefile(NV_ROOTDIR . '/' . NV_UPLOADS_DIR . '/' . $module_upload . '/' . $path);
                        }
                    }
                }
            }

            // Gui email thong bao quan tri ve booking moi
            if (! empty($array_config['sendmail'])) {

                global $array_categories;

                if(!empty($quote_list['catid'])){    
                    $quote_list['catid'] = $array_categories[$quote_list['catid']]['title'];
                }

                $xtpl = new XTemplate('sendmail_admin.tpl', NV_ROOTDIR . '/themes/' . $module_info['template'] . '/modules/' . $module_file);
                $xtpl->assign('LANG', $lang_module);
                $xtpl->assign('CONTENT', $quote_list);
                $xtpl->assign('CODE', $booking_code);
                $xtpl->assign('URL_VIEW', NV_MY_DOMAIN . NV_BASE_ADMINURL . 'index.php?' . NV_LANG_VARIABLE . '=' . NV_LANG_DATA . '&' . NV_NAME_VARIABLE . '=' . $module_name . '&amp;' . NV_OP_VARIABLE . '=view&amp;id=' . $new_id);
                
                $xtpl->parse('main');
                $email_content = $xtpl->text('main');
            
                nv_sendmail(array(
                    $global_config['site_name'],
                    $global_config['site_email']
                ), $array_config['sendmail'], sprintf($lang_module['sendmail_admin_title'], $booking_code, $global_config['site_name']), $email_content);
            }
            if($mod!= 'ajax'){
               $contents = nv_theme_alert($lang_module['success_title'], $lang_module['success_content'], 'info', '{NV_BASE_SITEURL}');
                include NV_ROOTDIR . '/includes/header.php';
                echo nv_site_theme($contents);
                include NV_ROOTDIR . '/includes/footer.php'; 
            }else{
                nv_jsonOutput(array(
                    'status' => 'success',
                    'input' => '',
                    'mess' => $lang_module['success_content']
                ));
                die;
            }
        }
    }
}

$contents = nv_quote_main($quote_list, $error);

include NV_ROOTDIR . '/includes/header.php';
echo nv_site_theme($contents);
include NV_ROOTDIR . '/includes/footer.php';
